Bulk Create Companies

Beta
Bulk create companies * When the `independent company behavior` is enabled, the system will not automatically create a dedicated customer group for each new Company account. Instead, you can assign a customer group to a Company account as needed using the `customerGroupId` field. If the `customerGroupId` field is not provided, the B2B company will be associated with the configured default customer group. If you have not configured a default customer group, the B2B company will not be associated with any customer group, and the company users within the company will have their corresponding customer record assigned to "No Group" in BigCommerce. * When the `independent company behavior` is turned off, a new customer group will be automatically created and associated with each new Company account. In this case, you will not use the `customerGroupId` field.

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Request

Bulk create companies request body
companyNamestringOptional1-200 characters
Name of this company
addressLine1stringOptional<=200 characters
Address line 1 of ths company.
addressLine2stringOptional<=200 characters
Address line 2 of ths company.
citystringOptional<=100 characters
City name of the company.
statestringOptional<=50 characters
State of the company.
zipCodestringOptional<=50 characters
Zip code of the company.
countrystringOptional<=200 characters
Country of the company.
companyEmailstringOptionalformat: "email"<=200 characters
Contact email of this company.
companyPhonestringOptional<=50 characters
Phone number of the company.
catalogNamestringOptional
Name of this company's catalog.
adminFirstNamestringOptional1-100 characters
First name of the company's administrator.
adminLastNamestringOptional1-100 characters
Last name of the company's administrator.
adminEmailstringOptional1-100 characters
Email address of the company's administrator.
adminPhoneNumberstringOptional1-100 characters
Phone number of the company's administrator.
acceptWelcomeEmailbooleanOptional
If user accepts, the system sends a welcome email.
extraFieldsobjectOptional
Extra fields you want to add to the company fields.
channelIdslist of integersOptional
BigCommerce channel ID list
originChannelIdintegerOptional
BigCommerce channel ID, used for BigCommerce customer origin channel ID. This field takes effect only when you do not configure the store default B2B channel.
customerGroupIdintegerOptional
BigCommerce Customer Group ID. Used to associate a BigCommerce Customer Group to a B2B company when the independent company behavior is enabled.
userExtraFieldslist of objectsOptional

Response

OK
codeinteger
metalist of objects
dataobject

Errors

400
Bad Request Error
409
Conflict Error
413
Content Too Large Error
422
Unprocessable Entity Error